Download article on Save
Closed, ResolvedPublic3 Story Points

Description

Now that saving can happen when the article isn't fully cached. We need to make sure the article is cached when saving.

  • Whenever an article is saved, check if the article was cached
  • If it was cached, do nothing.
  • If it is not cached, cache it
  • Make sure that the caching is not tied to the lifetime of a UI object (Caching should continue even if the UI element is dealloced)
  • Preferably the caching is done by a specific model controller that can handle all the business logic tied to caching an article
  • Make sure image downloads go directly to disk (don't update memory)
Fjalapeno created this task.Sep 8 2015, 5:19 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2015, 5:19 PM
Fjalapeno set Security to None.Sep 10 2015, 6:32 PM
Fjalapeno edited a custom field.
Fjalapeno claimed this task.
Fjalapeno removed Fjalapeno as the assignee of this task.

Might do T111543 as a boyscout component of this.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 10 2015, 11:05 PM
JMinor closed this task as Resolved.